GCXONEDocumentation

User

On this page
  1. POST /user/
  2. Request body
  3. Responses
  4. POST /user/filter
  5. Request body
  6. Responses
  7. GET /user/me
  8. Responses
  9. GET /user/{id}
  10. Parameters
  11. Responses
  12. PUT /user/{id}
  13. Parameters
  14. Request body
  15. Responses
  16. DELETE /user/{id}
  17. Parameters
  18. Responses

Operations on user resources. 6 endpoints, each relative to https://api.nxgen.cloud/api/v1 and authenticated as described under Authentication.

POST /user/

Create new user

Request body

Add a user

json
{
  "payload": {
    "id": "string",
    "email": "string (required)",
    "firstName": "string (required)",
    "lastName": "string (required)",
    "isActive": "boolean",
    "countryCode": "string",
    "phoneNumber": "string",
    "houseBuildingNumber": "string",
    "streetName": "string",
    "city": "string",
    "state": "string",
    "country": "string",
    "code": "string",
    "logo": "string",
    "apps": [
      {
        "displaystring": "string",
        "url": "string",
        "type": "string",
        "imgUrl": "string",
        "class": "string",
        "graphUrl": [
          ""
        ],
        "internalName": "string",
        "permission": "object",
        "mapInformation": "object"
      }
    ],
    "business": [
      "string"
    ],
    "tags": [
      "string"
    ],
    "photos": [
      "string"
    ],
    "devImage": "string",
    "followers": [
      "string"
    ],
    "roles": [
      "string"
    ],
    "s3ImagePath": "string",
    "partnerLogin": "boolean",
    "jsonSchema": "object",
    "jsonSchemaResult": "object",
    "countryName": "any",
    "subdomain": "string",
    "accessLevel": "string",
    "parentAccountId": "string",
    "parent": "string",
    "serviceProvidersEventProviderId": "string"
  }
}

Responses

Status

Description

Body

200

Success

204

No Content

400

Invalid input

401

Unauthorized

403

Forbidden

POST /user/filter

Gets user list with filtering, sorting and pagination. It allows hierarchical level searching. It can be filtered using specified hierarchy or it uses the logged in user hierarchy. This gives the option to get additional entity fields in the response. Also provides configuration meta data about entity.

Request body

User filtering and sorting

json
{
  "filters": [
    {
      "columnName": "string (required)",
      "type": "distinctList | date | number | StringConditionFilter (required)",
      "filter": "object (required)"
    }
  ],
  "sortOrder": [
    {
      "columnName": "string",
      "isAscending": "boolean"
    }
  ],
  "primaryColumns": [
    "string"
  ],
  "hierarchyLevel": "string",
  "hierarchyId": "string",
  "nPerPage": "number",
  "pageNumber": "number",
  "isConfigDetailRequired": "boolean",
  "getConfig": "boolean",
  "getChildOrParent": "boolean"
}

Responses

Status

Description

Body

200

Success

object

204

No Content

400

Invalid input

401

Unauthorized

403

Forbidden

Example 200 response:

json
{
  "config": {
    "columns": [
      {
        "visibility": true,
        "columnName": "commercialName",
        "DisplayName": "User",
        "isFilterable": true,
        "filterType": "stringCondition",
        "sticky": true,
        "isRightBorder": true,
        "isMandatory": true,
        "isNotDraggable": true
      }
    ],
    "defaultNPerPage": 50,
    "defaultFilterCondition": [],
    "defaultSortingOrder": [
      {
        "columnName": "dateTime",
        "isAscending": false
      }
    ],
    "maxVisibleColumnCount": 6,
    "exportLimitNPerPage": 500
  },
  "dataResult": [
    {
      "photo": "",
      "email": "admin@dev.de",
      "contact": "+41 ",
      "isActive": "true",
      "firstName": "Test",
      "lastName": "User3",
      "accessLevel": "serviceprovider",
      "uniqueId": "c8c03fca60f5804624540aceabdc003",
      "parentAccountId": "e7f417cf4a434b5093a8173cdb40004f",
      "roles": "User role test",
      "applicationName": "app name",
      "sessionTimeOutInMin": 30
    },
    {
      "photo": "",
      "email": "admin-1@dev.de",
      "contact": "+41 ",
      "isActive": "true",
      "firstName": "Test",
      "lastName": "User4",
      "accessLevel": "serviceprovider",
      "uniqueId": "40aceabdc4e20770c8c03fca60f58046",
      "parentAccountId": "e7f417cf4a434b5093a8173cdb40004f",
      "roles": "User role test",
      "applicationName": null,
      "sessionTimeOutInMin": 30
    }
  ],
  "totalRecordsCount": 3552,
  "filteredBy": [],
  "sortedBy": [
    {
      "columnName": "dateTime",
      "isAscending": false
    }
  ],
  "dispatchedAll": false,
  "isDefaultProjectionMutated": false,
  "isDefaultFilterMutated": false,
  "isDefaultSortingMutated": false
}

GET /user/me

Display login User

Responses

Status

Description

Body

200

Success

204

No Content

401

Unauthorized

403

Forbidden

404

Not Found

GET /user/{id}

get user by id

Parameters

Name

In

Type

Required

Description

id

path

string

yes

Responses

Status

Description

Body

200

Success

204

No Content

401

Unauthorized

403

Forbidden

404

Not Found

PUT /user/{id}

Update an existing User

Parameters

Name

In

Type

Required

Description

id

path

string

yes

Request body

To add a update a User, provide the existing Id

json
{
  "payload": {
    "id": "string",
    "email": "string (required)",
    "firstName": "string (required)",
    "lastName": "string (required)",
    "isActive": "boolean",
    "countryCode": "string",
    "phoneNumber": "string",
    "houseBuildingNumber": "string",
    "streetName": "string",
    "city": "string",
    "state": "string",
    "country": "string",
    "code": "string",
    "logo": "string",
    "apps": [
      {
        "displaystring": "string",
        "url": "string",
        "type": "string",
        "imgUrl": "string",
        "class": "string",
        "graphUrl": [
          ""
        ],
        "internalName": "string",
        "permission": "object",
        "mapInformation": "object"
      }
    ],
    "business": [
      "string"
    ],
    "tags": [
      "string"
    ],
    "photos": [
      "string"
    ],
    "devImage": "string",
    "followers": [
      "string"
    ],
    "roles": [
      "string"
    ],
    "s3ImagePath": "string",
    "partnerLogin": "boolean",
    "jsonSchema": "object",
    "jsonSchemaResult": "object",
    "countryName": "any",
    "subdomain": "string",
    "parentAccountId": "string",
    "serviceProvidersEventProviderId": "string"
  }
}

Responses

Status

Description

Body

200

Success

204

No Content

400

Invalid input

401

Unauthorized

403

Forbidden

DELETE /user/{id}

Delete a User by Id

Parameters

Name

In

Type

Required

Description

id

path

string

yes

Responses

Status

Description

Body

200

Success

204

No Content

400

Invalid input

401

Unauthorized

403

Forbidden

Was this page helpful?

Thank you — your feedback goes to the team that owns this page.

User — NXGEN Docs